[A202]Technology Field Word Cloud

post
https://connect.patsnap.com/search/company/technology-field-word-cloud
Try in Sandbox

By entering the enterprise name, you can quickly understand the technologies and product research and development that the enterprise is relatively concentrated on. Word Cloud extracts the technical fields of all the patents of the enterprise as the patentee, sorts them according to the number of patents covered by the technical fields, and returns up to the top 100 technical field words at most. Including: technical fields, number of patents

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
company_name
Required
string吉林大学
company name
lang
stringen
Select the language , the default language is en, you can choose cn or en.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
tech_field_word
array[]
tech filed cloud
name
string轨道交通
Technology field
count
integer<int32>1053
number of patents
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "tech_field_word": [
      {
        "name": "轨道交通",
        "count": 1053
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms